package com.ejie.ab79.model.preguntasRespuestas;

/**
 * OpcionesPreExp  
 * 
 *  
 */

public class OpcionesPreExp implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idOpcionPreExp;
	private String idOpcionMovil;
	private Integer idPreguntaExpediente;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String usuarioRegistro;

	/**
	 * Method 'OpcionesPreExp'.
	 */
	public OpcionesPreExp() {
	}

	/**
	 * Method 'OpcionesPreExp'.
	 * 
	 * @param idOpcionPreExp
	 *            Integer
	 */
	public OpcionesPreExp(Integer idOpcionPreExp) {
		this.idOpcionPreExp = idOpcionPreExp;
	}

	/**
	 * Method 'OpcionesPreExp'.
	 * 
	 * @param idOpcionPreExp
	 *            Integer
	 * @param idPreguntaExpediente
	 *            Integer
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param usuarioRegistro
	 *            String
	 */
	public OpcionesPreExp(Integer idOpcionPreExp, Integer idPreguntaExpediente, String descripcionCastellano,
			String descripcionEuskera, String usuarioRegistro) {

		this.idOpcionPreExp = idOpcionPreExp;
		this.idPreguntaExpediente = idPreguntaExpediente;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdOpcionPreExp'.
	 *
	 * @return Integer
	 */

	public Integer getIdOpcionPreExp() {
		return this.idOpcionPreExp;
	}

	/**
	 * Method 'setIdOpcionPreExp'.
	 *
	 * @param idOpcionPreExp
	 *            Integer
	 * @return
	 */

	public void setIdOpcionPreExp(Integer idOpcionPreExp) {
		this.idOpcionPreExp = idOpcionPreExp;
	}

	public String getIdOpcionMovil() {
		return idOpcionMovil;
	}

	public void setIdOpcionMovil(String idOpcionMovil) {
		this.idOpcionMovil = idOpcionMovil;
	}

	/**
	 * Method 'getIdPreguntaExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdPreguntaExpediente() {
		return this.idPreguntaExpediente;
	}

	/**
	 * Method 'setIdPreguntaExpediente'.
	 *
	 * @param idPreguntaExpediente
	 *            Integer
	 * @return
	 */

	public void setIdPreguntaExpediente(Integer idPreguntaExpediente) {
		this.idPreguntaExpediente = idPreguntaExpediente;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano
	 *            String
	 * @return
	 */

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera
	 *            String
	 * @return
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idOpcionPreExp: ").append(this.idOpcionPreExp).append(" ]");
		result.append(", [ idPreguntaExpediente: ").append(this.idPreguntaExpediente).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
